## cascading.flow.local.stream
Class SyncMergeStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<TupleEntry,TupleEntry>
                  cascading.flow.stream.MergeStage
                      cascading.flow.local.stream.SyncMergeStage

All Implemented Interfaces:
  Collapsing, ElementDuct

    public class SyncMergeStage

extends MergeStage

A version of Merge that synchronizes the receives for local mode

Field Summary

Fields inherited from class cascading.flow.stream.MergeStage
`completeCount`

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`SyncMergeStage(FlowProcess flowProcess, FlowElement flowElement)`

Method Summary
`void` `receive(Duct previous, TupleEntry tupleEntry)` synchronized, as by default, each source gets its turn, no concurrent threads.

Methods inherited from class cascading.flow.stream.MergeStage
`bind, complete, initialize, start`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, prepare, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyncMergeStage

    public SyncMergeStage(FlowProcess flowProcess,
                          FlowElement flowElement)

Method Detail

### receive

    public void receive(Duct previous,
                        TupleEntry tupleEntry)

  synchronized, as by default, each source gets its turn, no concurrent threads. Except in local mode

  Overrides:
    `receive` in class `Stage<TupleEntry,TupleEntry>`
  Parameters:
    `previous` -
    `tupleEntry` -

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.